Summary:	Lightweight volume control
Name:		volumeicon
Version:	0.4.3
Release:	5
License:	GPLv3+
Group:		Graphical desktop/Other
Url:		http://http://code.google.com/p/mandriva-lxde/
Source0:	http://mandriva-lxde.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		volumeicon_lxde.patch
Patch1:		volumeicon-0.4.3-rosa-glib.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libnotify)

%description
Volume Icon aims to be a lightweight volume control that sits in your systray.
Features

* Change volume by scrolling on the systray icon
* Ability to choose which channel to control
* Configurable stepsize (percentage of volume increase/decrease per scrollwheel
  step)
* Several icon themes (with gtk theme as default)
* Configurable external mixer
* Volume Slider

This is localized fork from Mandriva LXDE project.

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
aclocal
automake --add-missing
%configure2_5x
%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart/
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=volumeicon
Comment=Volume Icon
Exec=%{name}
Terminal=false
Type=Application
Icon=%{_datadir}/%{name}/gui/appicon.svg
Categories=AudioVideo;Audio;X-MandrivaLinux-Multimedia-Sound;
EOF

%find_lang %{name}


%changelog
* Fri Jul 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.4.3-5
+ Revision: f0a5941
- Handle automake issues


